<?php

namespace AppBundle\Repository\Subscription;

/**
 * VotationSubRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class VotationSubRepository extends \Doctrine\ORM\EntityRepository
{
    public function queryAll($user = null)
    {
        $qb = $this->createQueryBuilder('s');

        if($user) {
//            dump($user->getId());die;
            $qb->where('s.createdBy = :user')
                ->setParameter(':user', $user->getId());
        }

        $qb->orderBy('s.contactDate', 'DESC');

        return $qb;
    }
}
